Microsoft.Build.Engine 2.0.0.0 System.Object System.Collections.IEnumerable

A object can represent an ItemGroup element in the project, or a virtual collection of items, containing the items created after evaluating wildcards in the Include and Exclude attributes of an Item element.

Represents a collection of objects.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItem `` `` To be added.

  Adds a new with the specified and property values to the .

  The new .

  The property value to assign the new . The property value to assign the new . 2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItem `` `` `` To be added.

  Adds a new with the specified and property values to the , allowing you to specify whether the property value is treated as a literal.

  The new .

  The property value to assign the new . The property value to assign the new . true to treat the parameter as a literal value; otherwise, false. 2.0.0.0
- Method
  System.Void To be added.

  Removes the property value and all objects from the .

  2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItemGroup ``

  A shallow copy of a references the same property group as the original. Modifications a shallow copy will be reflected in both copies.

  A deep copy of a creates a new XML element to reference so that both copies of the can be independently modified.

  If the corresponds directly to a ItemGroup element in the project (rather than corresponding to a collection of items created after evaluating wildcards in the Include and Exclude attributes of an Item element), only deep copies are allowed.

  Creates a deep or shallow copy of the .

  A copy of the .

  true to create a deep copy of the ; otherwise, false. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the Condition attribute value of the item group.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets a value indicating the number of objects in the .

  2.0.0.0
- Method
  System.Collections.IEnumerator

  This method allows the caller to use the foreach statement of the C# language (for each in vbprvb) to iterate through the individual objects in the .

  Gets an enumerator that iterates through the .

  An for the entire .

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the item group was imported into the project.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.BuildItem `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified from the .

  The to remove. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the at the specified index from the .

  The zero-based index of the object to remove. 2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItem[] To be added.

  Copies the objects in the to a new array.

  A new array containing the objects copied from the .

  2.0.0.0